function Paper_plots = D_plot(Ca, S_array, x_array, S_pc_array, S_pk_array, S_pn_array,FTC, S_pk_x_array)
% Experimental tension values
Dobesh_Data = Datafind(Ca);

% Plots

figure(1)
subplot(2,2,2)
semilogx(Ca, Dobesh_Data.Hill_curve_dat((1:5), :), 'LineWidth', 3)
hold on
semilogx(Dobesh_Data.Ca_Dobesh, Dobesh_Data.Error(1:10, :), 'k.')
semilogx(Dobesh_Data.Ca_Dobesh, Dobesh_Data.Tension(1:5, :), 'ko')
xlabel('[Ca] (uM)'), ylabel('Tension (normalized)'), title('Hill-type model')
axis([1 11 0 1.60])


subplot(2,2,1)
semilogx(Ca, S_pc_array((1:5), :), 'LineWidth', 3)
hold on
semilogx(Dobesh_Data.Ca_Dobesh, Dobesh_Data.Error(1:10, :), 'k.')
semilogx(Dobesh_Data.Ca_Dobesh, Dobesh_Data.Tension(1:5, :), 'ko')
xlabel('[Ca] (uM)'), ylabel('Tension (normalized)'), title('Params fit per curve')
axis([1 11 0 1.60])

c=ismember(Ca,Dobesh_Data.Ca_Dobesh);
arr_num = find(c);
Res_points = S_pc_array(1:5, arr_num);
residu = Res_points - Dobesh_Data.Tension; 
median_array = median(residu);

subplot(2,2,3)
semilogx(Dobesh_Data.Ca_Dobesh, residu,'LineWidth', 3)
hold on
semilogx(Dobesh_Data.Ca_Dobesh, median_array, 'k', 'LineWidth', 3)

axis([1 11 -0.15 0.15])
xlabel('[Ca] (uM)'), ylabel('residual error')


subplot(2,2,4)
semilogx(Dobesh_Data.Ca_Dobesh, Dobesh_Data.Hill_resid((1:5),:),'LineWidth', 3)
hold on
semilogx(Dobesh_Data.Ca_Dobesh, Dobesh_Data.Hill_resid_median, 'k', 'LineWidth', 3)

axis([1 11 -0.15 0.15])
xlabel('[Ca] (uM)'), ylabel('residual error')


%%

Ca_test = [3 4 5];
d=ismember(Ca,Ca_test);
Ca_num = find(d);



figure(2)
subplot(1,2,1)
plot(x_array(1:626, Ca_num(1)), S_pk_x_array(1:626, 1), 'b', x_array(1:626, Ca_num(2)), S_pk_x_array(1:626, 2), 'k', x_array(1:626, Ca_num(3)), S_pk_x_array(1:626, 3), 'm')
axis([0 625 0 1])
xlabel('x (nm)'), ylabel('Tension (normalized)') 


P_x = diff(S_pk_x_array/FTC.C_f_k);
subplot(1,2,2)
plot(x_array(1:625, Ca_num(1)), P_x(1:625, 1), 'b', x_array(1:625, Ca_num(2)), P_x(1:625, 2), 'k', x_array(1:625, Ca_num(3)), P_x(1:625, 3), 'm')
axis([0 625 0 1.01])
xlabel('x (nm)'), ylabel('P(x) (unitless)')



%% Sensitivity plot
figure(3)
semilogx(Ca, S_pn_array(1:3, :), 'LineWidth',3)
hold on
semilogx(Dobesh_Data.Ca_Dobesh, Dobesh_Data.Error(5:6, :), 'k.')
semilogx(Dobesh_Data.Ca_Dobesh, Dobesh_Data.Tension(3, :), 'ko')
axis([1 11 0 1.4])
xlabel('[Ca] (uM)'), ylabel('Tension (normalized)'), title('Sensitivity to n')
end



