function rice_overlap_nm = Rice_Overlap_fun(SL)
% Rice_Overlap_fun(SL) = Length of the single overlap region in nanometers.
% This formulation is from Rice et al. 2008. 

SLn = SL*1000;

bare = 100;  % units nanometers, length of the bare region
m_length = 1600; % length of myosin
thin_length = 1200; % length of actin

z_end = min((m_length/2), (SLn/2)); % end of the single overlap region closest to the z-disc
m_end = max((SLn/2 - (SLn - thin_length)), (bare/2)); % end of the single overlap region closest to the mid-line
Ov = z_end - m_end;

rice_overlap_nm = round(Ov);